NXOpen.UF.Curve.AnalysisDisplay Structure

NXOpen.UF.Curve.AnalysisDisplay is an alias for NXOpen.UF.CurveAnalysisDisplay_Struct

class NXOpen.UF.CurveAnalysisDisplay_Struct

Bases: object

Refer to UF_CURVE_analysis_display_s for documentation.

Fields

NXOpen.UF.CurveAnalysisDisplay_Struct.CurvatureCombScaleFactor Scale factor to apply to curvature combs - 1.0 is normal.
NXOpen.UF.CurveAnalysisDisplay_Struct.ShowControlPolygon Visible only for splines
NXOpen.UF.CurveAnalysisDisplay_Struct.ShowCurvatureComb Visible for arcs, conics and splines
NXOpen.UF.CurveAnalysisDisplay_Struct.ShowInflections Visible only for splines
NXOpen.UF.CurveAnalysisDisplay_Struct.ShowPeaks Visible only for conics and splines
NXOpen.UF.CurveAnalysisDisplay_Struct.ShowKnots Visible only for splines
NXOpen.UF.CurveAnalysisDisplay_Struct.CombDensity The input teeth of curvature combs
NXOpen.UF.CurveAnalysisDisplay_Struct.CombInterneedleDensity Visibile for arcs, conics and splines
NXOpen.UF.CurveAnalysisDisplay_Struct.Ustart The specified start parameter, range from 0 - 100
NXOpen.UF.CurveAnalysisDisplay_Struct.Uend The specified end parameter, range from 0 - 100
NXOpen.UF.CurveAnalysisDisplay_Struct.UseMaxLength Control if limit the max length to combs, true: use max length, otherwise false
NXOpen.UF.CurveAnalysisDisplay_Struct.MaxLength The length to limit combs
NXOpen.UF.CurveAnalysisDisplay_Struct.ProjChoice none=0, plane of curve=1, specified direction=2, work view=3
NXOpen.UF.CurveAnalysisDisplay_Struct.SpecifiedDir Vector to show which direction the combs will apply to